## org.eclipse.jst.jsf.facesconfig.emf.impl
Class NavigationRuleTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.NavigationRuleTypeImpl

All Implemented Interfaces:
  NavigationRuleType

    public class NavigationRuleTypeImpl

extends EObjectImpl
implements NavigationRuleType

An implementation of the model object 'Navigation Rule Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `From View Id`
- `Navigation Case`
- `Navigation Rule Extension`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetFromViewId(FromViewIdType newFromViewId, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getDescription()`
`EList` `getDisplayName()`
`FromViewIdType` `getFromViewId()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`EList` `getNavigationCase()`
`EList` `getNavigationRuleExtension()`
`void` `setFromViewId(FromViewIdType newFromViewId)`
`void` `setId(java.lang.String newId)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `NavigationRuleType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationRuleType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `NavigationRuleType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationRuleType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `NavigationRuleType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationRuleType_Icon()`

### getFromViewId

    public FromViewIdType getFromViewId()

  Specified by:
    `getFromViewId` in interface `NavigationRuleType`
  Returns:
    the value of the 'From View Id' containment reference.
  See Also:
    `NavigationRuleType.setFromViewId(FromViewIdType)`, `FacesConfigPackage.getNavigationRuleType_FromViewId()`

### basicSetFromViewId

    public NotificationChain basicSetFromViewId(FromViewIdType newFromViewId,
                                                NotificationChain msgs)

  Parameters:
    `newFromViewId` -
    `msgs` -
  Returns:
    the notification chain

### setFromViewId

    public void setFromViewId(FromViewIdType newFromViewId)

  Specified by:
    `setFromViewId` in interface `NavigationRuleType`
  Parameters:
    `newFromViewId` - the new value of the 'From View Id' containment reference.
  See Also:
    `NavigationRuleType.getFromViewId()`

### getNavigationCase

    public EList getNavigationCase()

  Specified by:
    `getNavigationCase` in interface `NavigationRuleType`
  Returns:
    the value of the 'Navigation Case' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationRuleType_NavigationCase()`

### getNavigationRuleExtension

    public EList getNavigationRuleExtension()

  Specified by:
    `getNavigationRuleExtension` in interface `NavigationRuleType`
  Returns:
    the value of the 'Navigation Rule Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationRuleType_NavigationRuleExtension()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `NavigationRuleType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `NavigationRuleType.setId(String)`, `FacesConfigPackage.getNavigationRuleType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `NavigationRuleType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `NavigationRuleType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()